Subject: bug#5607: 23.1; compile error regexps for perl test scripts, mark 2

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Feb 2016 17:10:07 +1100

Kevin Ryde <[email-masked]> writes:

> I eventually got around to revisiting the compile error regexps I made
> for perl test scripts in my compilation-perl.el.
>
> I was misguided about the "NOK" business of the perl--Test::Harness one
> that's now in emacs.  I believe the three symbols perl--Test,
> perl--Test2 and perl--Test::Harness can be replaced by the two simpler
> bits of compile.el.perl.fragment below.  compilation.txt fragment below
> too, to replace the two sections "* Perl Test module error messages" and
> "* Perl Test::Harness output".

[...]

> 2010-02-20  Kevin Ryde  <[email-masked]>
>
> 	* compilation.txt (Perl Test module, Perl Test::Harness): Replace
> 	for new perl--Test and perl--Test-failed symbols.
>
>     (perl--Test
>      ;; Test.pm ok() message when comparing got/want values (printed in
>      ;; its _complain()),
>      ;;
>      ;;     # Test 2 got: "xx" (t-compilation-perl-2.t at line 10)
>      ;;
>      ;; And under Test::Harness can be preceded by progress stuff so
>      ;; allow match anywhere in the line.

[...]

> Yes.  It should be matched.  My latest and greatest seems to do so
> ( http://user42.tuxfamily.org/compilation-perl/index.html ).  I'll try
> to double check what I posted.
>
> Incidentally, the "cucumber" pattern of the emacs24 seems to match the
> perl test intro
>
> # Current time local: Wed Aug 15 12:04:58 2012
>
> I wondered if the cucumber "#" bit might be tightened up.  Maybe its "#"
> is never at the start of a line, or something like that.

It's been three years again, so it's time to revisit this bug report.
:-)

If this is still an issue, can you provide a patch for this instead of
code fragments?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no